> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retentar Entrega de Webhook da Campanha

> Retentar manualmente uma entrega de webhook de campanha que falhou

# Retentar Entrega de Webhook da Campanha

Retentar manualmente uma entrega de webhook de campanha que falhou. Cria uma nova entrada de log para o retry — o log original é preservado.

## Endpoint

```
POST /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}/logs/{log_id}/retry
```

## Parâmetros de caminho

<ParamField path="campaign_id" type="string" required>UUID da campanha.</ParamField>
<ParamField path="webhook_id" type="string" required>UUID do webhook.</ParamField>
<ParamField path="log_id" type="string" required>UUID do log da entrega que falhou.</ParamField>

## Cabeçalhos da requisição

<ParamField header="Authorization" type="string" required>
  Token Bearer. Formato: `Bearer talq_your_environment_token_here`
</ParamField>

## Exemplos

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs/log-uuid-1/retry" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Resposta

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Webhook retry queued",
    "data": {
      "log_id": "new-log-uuid",
      "original_log_id": "log-uuid-1"
    }
  }
  ```
</ResponseExample>
